
package de.ivu.elect.business.personenpruefung.control;

import javax.inject.Inject;
import javax.enterprise.event.Event;

import de.ivu.elect.business.personenpruefung.entity.PersonenKonflikt;
import de.ivu.elect.business.personenpruefung.boundary.PersonenKonfliktDAO;
import de.ivu.elect.business.personenpruefung.boundary.PersonenKonfliktCreateEvent;

// abgeleitete Klasse NICHT mit "@javax.ejb.Stateless" annotieren!
public abstract class AbstractPersonenKonfliktCreate {

  @Inject
  protected PersonenKonfliktDAO dao;

    @Inject
    transient Event<PersonenKonfliktCreateEvent> createEvent;



  


public void save(PersonenKonflikt entity) {
    dao.persist(entity);
    sendCreateEvent(entity);
  }

  public void sendCreateEvent(PersonenKonflikt entity) {
        createEvent.fire(new PersonenKonfliktCreateEvent(entity));
  }

}
